summaryrefslogtreecommitdiffstats
path: root/.local/bin/statusbar
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2020-06-23 17:15:01 -0400
committerLuke Smith <luke@lukesmith.xyz>2020-06-23 17:15:01 -0400
commitbeaa49345c38131b2648d96aef932327f8ea5f28 (patch)
tree8a868769849b93ee6fdd896c209aa3e1303e27a6 /.local/bin/statusbar
parenta021af59f334c7c262dc5fdc6e2e10e01b21e7e8 (diff)
downloadeibhear-beaa49345c38131b2648d96aef932327f8ea5f28.tar.gz
eibhear-beaa49345c38131b2648d96aef932327f8ea5f28.tar.zst
eibhear-beaa49345c38131b2648d96aef932327f8ea5f28.zip
tweaks
Diffstat (limited to '.local/bin/statusbar')
-rwxr-xr-x.local/bin/statusbar/kbselect7
1 files changed, 4 insertions, 3 deletions
diff --git a/.local/bin/statusbar/kbselect b/.local/bin/statusbar/kbselect
index f627b36..d7313c6 100755
--- a/.local/bin/statusbar/kbselect
+++ b/.local/bin/statusbar/kbselect
@@ -1,14 +1,15 @@
-#!/bin/bash
+#!/bin/sh
# works on any init system
# requirements: dmenu, xorg-setxkbmap, xkblayout-state (https://github.com/nonpop/xkblayout-state)
-kb="$(xkblayout-state print "%s")"
+kb="$(xkblayout-state print "%s")" || exit 1
case $BLOCK_BUTTON in
1) kb_choice="$(awk '/! layout/{flag=1; next} /! variant/{flag=0} flag {print $2, "- " $1}' /usr/share/X11/xkb/rules/base.lst | dmenu -l 15)"
kb="$(echo "$kb_choice" | awk '{print $3}')"
setxkbmap "$kb"
pkill -RTMIN+30 "${STATUSBAR:-dwmblocks}";;
- 3) notify-send "$(xkblayout-state print "Current layout: %s(%n)")";;
+ 3) notify-send "⌨ Keyboard/language module" "$(xkblayout-state print "\- Current layout: %s (%n)")
+- Left click to change keyboard.";;
6) "$TERMINAL" -e "$EDITOR" "$0" ;;
esac